summaryrefslogtreecommitdiffstats
path: root/libraries/wxPython/wxPython.SlackBuild
diff options
context:
space:
mode:
author Heinz Wiesinger2010-05-11 22:24:25 +0200
committer David Somero2010-05-11 22:24:25 +0200
commitf1c9dc254976d03e0c53233e255f1973faccbf81 (patch)
tree0372a1b750a074944202be1f5940b3c322e42e59 /libraries/wxPython/wxPython.SlackBuild
parent5f0e478881a0961fd3bdf0d7490f0320a30efc15 (diff)
downloadslackbuilds-f1c9dc254976d03e0c53233e255f1973faccbf81.tar.gz
libraries/wxPython: Updated for version 2.8.9.1
Diffstat (limited to 'libraries/wxPython/wxPython.SlackBuild')
-rw-r--r--libraries/wxPython/wxPython.SlackBuild29
1 files changed, 21 insertions, 8 deletions
diff --git a/libraries/wxPython/wxPython.SlackBuild b/libraries/wxPython/wxPython.SlackBuild
index 96e4c07f23..15595d06d5 100644
--- a/libraries/wxPython/wxPython.SlackBuild
+++ b/libraries/wxPython/wxPython.SlackBuild
@@ -1,9 +1,8 @@
#!/bin/sh
# Slackware build script for wxPython
-# Written by ppr:kut <hmwiesinger@gmx.at>
-# Copyright 2007 Heinz Wiesinger
+# Copyright 2007-2008 Heinz Wiesinger <pprkut@liwjatan.at>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,19 +23,31 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=wxPython
-VERSION=2.8.7.1
+VERSION=2.8.9.1
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+# Gnomeprint support
+GNOMEPRINT=${GNOMEPRINT:-no}
+
+if [ "$GNOMEPRINT" = "no" ]; then
+ do_gp="without"
+else
+ do_gp="with"
+fi
+
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
set -e
@@ -59,7 +70,11 @@ CXXFLAGS="$SLKCFLAGS" \
--disable-static \
--with-sdl \
--with-opengl \
- --enable-unicode
+ --$do_gp-gnomeprint \
+ --enable-unicode \
+ --enable-graphics_ctx \
+ --build=$ARCH-slackware-linux \
+ --host=$ARCH-slackware-linux
make
@@ -94,10 +109,8 @@ cd wxPython
install --root=$PKG
cd -
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/wxPython
cp -a README.1st.txt docs* $PKG/usr/doc/$PRGNAM-$VERSION